=== debian/changelog ===
faudio (19.07-1) unstable; urgency=medium

  * New upstream release
  * Build with large file support.
  * Update standards version to 4.4.0.
  * Specify Build-Depends-Package in the symbols file.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 17 Jul 2019 00:52:33 +0000

faudio (19.06.07-3) unstable; urgency=medium

  * Fix autopkgtest regression introduced by the previous upload.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 12 Jul 2019 00:57:39 +0000

faudio (19.06.07-2) unstable; urgency=medium

  * Update standards version to 4.4.0.
  * Install tests to multiarch directories (closes: #930466).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Jun 2019 04:35:04 +0000

faudio (19.06.07-1) unstable; urgency=medium

  * New upstream release.
  * Enable support for the xWMA codec.
  * Build tests and add them to autopkgtest.
  * Fix name of the shared object (closes: #927451).
  * Add cmake to the build dependencies (closes: #926825).
  * List files from Sean Barrett in debian/copyright (closes: #926578).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Jun 2019 00:49:52 +0000

faudio (19.02-1) unstable; urgency=medium

  * Initial release.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 26 Feb 2019 20:53:57 -0500
