=== debian/control ===
Source: faudio
Section: libs
Priority: optional
Uploaders: Michael Gilbert <mgilbert@debian.org>
Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
Build-Depends:
 cmake,
 libstb-dev,
 libsdl2-dev,
 libavformat-dev,
 debhelper (>= 11),
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://github.com/FNA-XNA/FAudio

Package: libfaudio0
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XAudio sound processing reimplementation - library
 FAudio is a sound processing library that aims to support fully accurate
 DirectX audio capabilities including XAudio2, X3DAudio, XAPO, and XACT3.
 .
 This package provides the library itself.

Package: libfaudio-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libfaudio0 (= ${binary:Version}),
Description: XAudio sound processing reimplementation - development files
 FAudio is a sound processing library that aims to support fully accurate
 DirectX audio capabilities including XAudio2, X3DAudio, XAPO, and XACT3.
 .
 This package provides the development files.
