## faudio 19.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # Version
 SET(LIB_MAJOR_VERSION "0")
 SET(LIB_MINOR_VERSION "19")
-SET(LIB_REVISION "07")
+SET(LIB_REVISION "12")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
 # Build Type
@@ -151,32 +151,40 @@
 
 	# Install FFmpeg for MinGW target
 	if(INSTALL_MINGW_DEPENDENCIES)
-		install_shared_libs(bin ${FFmpeg_LIBRARIES})
+		install_shared_libs(FILES ${FFmpeg_LIBRARIES} DESTINATION bin NO_INSTALL_SYMLINKS REQUIRED)
 	endif()
 endif(FFMPEG)
 
 # SDL2 Dependency
-if (NOT DEFINED SDL2_INCLUDE_DIRS AND NOT DEFINED SDL2_LIBRARIES)
-	find_package(SDL2 CONFIG)
-endif()
-if (TARGET SDL2::SDL2)
-	message(STATUS "using TARGET SDL2::SDL2")
-	target_link_libraries(FAudio PUBLIC SDL2::SDL2)
-	if(INSTALL_MINGW_DEPENDENCIES)
-		install_shared_libs(bin SDL2::SDL2)
-	endif()
-elseif (TARGET SDL2)
-	message(STATUS "using TARGET SDL2")
-	target_link_libraries(FAudio PUBLIC SDL2)
-	if(INSTALL_MINGW_DEPENDENCIES)
-		install_shared_libs(bin SDL2)
-	endif()
-else()
-	message(STATUS "no TARGET SDL2::SDL2, or SDL2, using variables")
+if (DEFINED SDL2_INCLUDE_DIRS AND DEFINED SDL2_LIBRARIES)
+	message(STATUS "using pre-defined SDL2 variables SDL2_INCLUDE_DIRS and SDL2_LIBRARIES")
 	target_include_directories(FAudio PUBLIC "$<BUILD_INTERFACE:${SDL2_INCLUDE_DIRS}>")
 	target_link_libraries(FAudio PUBLIC ${SDL2_LIBRARIES})
 	if(INSTALL_MINGW_DEPENDENCIES)
-		install_shared_libs(bin ${SDL2_LIBRARIES})
+		install_shared_libs(${SDL2_LIBRARIES} DESTINATION bin NO_INSTALL_SYMLINKS)
+	endif()
+else()
+	# Only try to autodetect if both SDL2 variables aren't explicitly set
+	find_package(SDL2 CONFIG)
+	if (TARGET SDL2::SDL2)
+		message(STATUS "using TARGET SDL2::SDL2")
+		target_link_libraries(FAudio PUBLIC SDL2::SDL2)
+		if(INSTALL_MINGW_DEPENDENCIES)
+			install_shared_libs(TARGETS SDL2::SDL2 DESTINATION bin NO_INSTALL_SYMLINKS REQUIRED)
+		endif()
+	elseif (TARGET SDL2)
+		message(STATUS "using TARGET SDL2")
+		target_link_libraries(FAudio PUBLIC SDL2)
+		if(INSTALL_MINGW_DEPENDENCIES)
+			install_shared_libs(TARGETS SDL2 DESTINATION bin NO_INSTALL_SYMLINKS REQUIRED)
+		endif()
+	else()
+		message(STATUS "no TARGET SDL2::SDL2, or SDL2, using variables")
+		target_include_directories(FAudio PUBLIC "$<BUILD_INTERFACE:${SDL2_INCLUDE_DIRS}>")
+		target_link_libraries(FAudio PUBLIC ${SDL2_LIBRARIES})
+		if(INSTALL_MINGW_DEPENDENCIES)
+			install_shared_libs(${SDL2_LIBRARIES} DESTINATION bin NO_INSTALL_SYMLINKS)
+		endif()
 	endif()
 endif()
 
@@ -390,7 +398,7 @@
 	)
 	# Install runtime dependencies
 	if(INSTALL_MINGW_DEPENDENCIES)
-		install_shared_libs(bin -lwinpthread-1 -lwinpthread -lSDL2 -liconv)
+		install_shared_libs(-lwinpthread-1 -lwinpthread -liconv DESTINATION bin NO_INSTALL_SYMLINKS)
 	endif()
 endif()
 
@@ -411,22 +419,3 @@
 install(
 	TARGETS ${PROJECT_NAME}
 	EXPORT ${PROJECT_NAME}-targets
-	INCLUDES DESTINATION ${FAudio_INSTALL_INCLUDEDIR}
-	RUNTIME DESTINATION ${FAudio_INSTALL_BINDIR}
-	LIBRARY DESTINATION ${FAudio_INSTALL_LIBDIR}
-	ARCHIVE DESTINATION ${FAudio_INSTALL_LIBDIR}
-)
-
-# Generate cmake-config file, install CMake files
-include(CMakePackageConfigHelpers)
-configure_package_config_file(
-	cmake/config.cmake.in
-	${CMAKE_CURRENT_BINARY_DIR}/generated/${PROJECT_NAME}-config.cmake
-	INSTALL_DESTINATION ${FAudio_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
-)
-install(
-	FILES ${CMAKE_CURRENT_BINARY_DIR}/generated/${PROJECT_NAME}-config.cmake
-	DESTINATION ${FAudio_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
-)
-install(
-	EXPORT ${PROJECT_NAME}-targets
