=== debian/changelog ===
faudio (19.12-1) unstable; urgency=medium

  * Fix debian/watch.
  * Drop obsolete lintian override 'shlib-calls-exit'.
  * Add README.source.
  * Add Vcs-* fields for new salsa.d.o git repository.
  * Refresh patches.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 08 Dec 2019 17:00:40 +0100

faudio (19.11-1) unstable; urgency=medium

  * Update to debhelper 12.
  * Update standards version to 4.4.0.
  * Include Jens Reyer as an uploader.
  * New upstream release (closes: #940203).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Nov 2019 02:47:48 +0000
