=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: faudio
 Section: libs
 Priority: optional
-Uploaders: Michael Gilbert <mgilbert@debian.org>
+Uploaders:
+ Jens Reyer <jre.winesim@gmail.com>,
+ Michael Gilbert <mgilbert@debian.org>,
 Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
+Vcs-Git: https://salsa.debian.org/wine-team/faudio.git
+Vcs-Browser: https://salsa.debian.org/wine-team/faudio
 Build-Depends:
  cmake,
  libstb-dev,
  libsdl2-dev,
  libavformat-dev,
- debhelper (>= 11),
-Standards-Version: 4.4.0
+ debhelper-compat (= 12),
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://github.com/FNA-XNA/FAudio
