## faudio 20.04

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,8 @@
 option(XNASONG "Build with XNA_Song.c" ON)
 option(LOG_ASSERTIONS "Bind FAudio_assert to log, instead of platform's assert" OFF)
 option(FORCE_ENABLE_DEBUGCONFIGURATION "Enable DebugConfiguration in all build types" OFF)
+option(DUMP_VOICES "Dump voices to RIFF WAVE files" OFF)
+option(BUILD_SHARED_LIBS "Build shared library" ON)
 if(WIN32)
 option(INSTALL_MINGW_DEPENDENCIES "Add dependent libraries to MinGW install target" OFF)
 endif()
@@ -27,8 +29,8 @@
 
 # Version
 SET(LIB_MAJOR_VERSION "0")
-SET(LIB_MINOR_VERSION "19")
-SET(LIB_REVISION "12")
+SET(LIB_MINOR_VERSION "20")
+SET(LIB_REVISION "04")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
 # Build Type
@@ -50,7 +52,8 @@
 
 # Platform Flags
 if(APPLE)
-	set(CMAKE_OSX_DEPLOYMENT_TARGET 10.7)
+	set(CMAKE_MACOSX_RPATH ON)
+	set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
 elseif(WIN32)
 	# "FAudio.dll", not "libFAudio.dll"
 	set(CMAKE_SHARED_LIBRARY_PREFIX "")
@@ -62,7 +65,7 @@
 endif()
 
 # Source lists
-add_library(FAudio SHARED
+add_library(FAudio
 	# Public Headers
 	include/F3DAudio.h
 	include/FACT3D.h
@@ -155,6 +158,11 @@
 	endif()
 endif(FFMPEG)
 
+# Dump source voices to RIFF WAVE files
+if(DUMP_VOICES)
+	target_compile_definitions(FAudio PRIVATE FAUDIO_DUMP_VOICES)
+endif()
+
 # SDL2 Dependency
 if (DEFINED SDL2_INCLUDE_DIRS AND DEFINED SDL2_LIBRARIES)
 	message(STATUS "using pre-defined SDL2 variables SDL2_INCLUDE_DIRS and SDL2_LIBRARIES")
@@ -219,6 +227,8 @@
 	target_link_libraries(testparse PRIVATE FAudio)
 	add_executable(testxwma utils/testxwma/testxwma.cpp)
 	target_link_libraries(testxwma PRIVATE FAudio)
+	add_executable(showriffheader utils/showriffheader/showriffheader.cpp)
+	target_link_libraries(showriffheader PRIVATE FAudio)
 
 	# These tools use uicommon, but NOT wavs
 	add_executable(facttool utils/facttool/facttool.cpp)
@@ -398,24 +408,3 @@
 	)
 	# Install runtime dependencies
 	if(INSTALL_MINGW_DEPENDENCIES)
-		install_shared_libs(-lwinpthread-1 -lwinpthread -liconv DESTINATION bin NO_INSTALL_SYMLINKS)
-	endif()
-endif()
-
-# tests/ Folder
-if(BUILD_TESTS)
-	add_executable(faudio_tests tests/xaudio2.c)
-	target_link_libraries(faudio_tests PRIVATE FAudio)
-endif()
-
-# Installation
-
-# Public Headers...
-install(
-	DIRECTORY include/
-	DESTINATION ${FAudio_INSTALL_INCLUDEDIR}
-)
-# Libraries...
-install(
-	TARGETS ${PROJECT_NAME}
-	EXPORT ${PROJECT_NAME}-targets
