=== debian/changelog ===
faudio (20.04-2mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 14 Jul 2020 07:51:33 -0700

faudio (20.04-2) unstable; urgency=medium

  * Eliminate cmake build percent output.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 04 Apr 2020 15:11:27 +0000

faudio (20.04-1) unstable; urgency=medium

  * New upstream release (closes: #955500).
  * Exclude cmake files from the binary packages.
  * Detect files missing from the binary packages.
  * Update standards version to 4.5.0 (no changes required).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 03 Apr 2020 01:46:34 +0000
