=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Uploaders:
  Jens Reyer <jre.winesim@gmail.com>,
  Michael Gilbert <mgilbert@debian.org>,
-Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
 Vcs-Git: https://salsa.debian.org/wine-team/faudio.git
 Vcs-Browser: https://salsa.debian.org/wine-team/faudio
 Build-Depends:
@@ -13,7 +14,7 @@
  libsdl2-dev,
  libavformat-dev,
  debhelper-compat (= 12),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/FNA-XNA/FAudio
