=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,12 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --no-warn-unused-cli -DFFMPEG=ON -DBUILD_TESTS=ON
+	dh_auto_configure -- --no-warn-unused-cli -DFFMPEG=ON -DBUILD_TESTS=ON -DCMAKE_RULE_MESSAGES=OFF
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+	
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym
+
