## faudio 21.02

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # CMake Project for FAudio
 # Written by @NeroBurner
 cmake_minimum_required(VERSION 2.8.12)
-project(FAudio)
+project(FAudio C)
 
 # Options
-option(FFMPEG "Enable FFmpeg support (WMA, XMA)" OFF)
+option(GSTREAMER "Enable GStreamer support (WMA, XMA)" OFF)
 option(BUILD_UTILS "Build utils/ folder" OFF)
 option(BUILD_TESTS "Build tests/ folder for unit tests to be executed on the host against FAudio" OFF)
 if(WIN32)
@@ -29,8 +29,8 @@
 
 # Version
 SET(LIB_MAJOR_VERSION "0")
-SET(LIB_MINOR_VERSION "20")
-SET(LIB_REVISION "04")
+SET(LIB_MINOR_VERSION "21")
+SET(LIB_REVISION "02")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
 # Build Type
@@ -100,7 +100,7 @@
 	src/FAudio_platform_sdl2.c
 	# Optional source files
 	src/XNA_Song.c
-	src/FAudio_ffmpeg.c
+	src/FAudio_gstreamer.c
 )
 
 # Only disable DebugConfiguration in release builds
@@ -135,28 +135,29 @@
 	target_compile_definitions(FAudio PRIVATE DISABLE_XNASONG)
 endif()
 
-# FFmpeg Support
-if(FFMPEG)
+# GStreamer Support
+if(GSTREAMER)
 	# Add the extra definition...
-	target_compile_definitions(FAudio PRIVATE HAVE_FFMPEG=1)
-
-	# Find FFmpeg...
-	find_package(FFmpeg COMPONENTS
-		avcodec
-		avutil # dep of avcodec
-		swresample # dep of avcodec
-		REQUIRED
-	)
-
-	# Include/Link FFmpeg...
-	target_include_directories(FAudio PRIVATE ${FFmpeg_INCLUDE_DIRS})
-	target_link_libraries(FAudio PRIVATE ${FFmpeg_LIBRARIES})
-
-	# Install FFmpeg for MinGW target
-	if(INSTALL_MINGW_DEPENDENCIES)
-		install_shared_libs(FILES ${FFmpeg_LIBRARIES} DESTINATION bin NO_INSTALL_SYMLINKS REQUIRED)
-	endif()
-endif(FFMPEG)
+	target_compile_definitions(FAudio PRIVATE HAVE_GSTREAMER=1)
+
+	# Find GStreamer
+	find_package(PkgConfig)
+	pkg_check_modules(GST REQUIRED gstreamer-1.0>=1.9.2)
+	pkg_check_modules(GSTAUDIO REQUIRED gstreamer-audio-1.0>=1.9.2)
+	pkg_check_modules(GSTAPP REQUIRED gstreamer-app-1.0>=1.9.2)
+
+	# Include/Link GStreamer...
+	target_include_directories(FAudio PRIVATE
+		${GST_INCLUDE_DIRS}
+		${GSTAUDIO_INCLUDE_DIRS}
+		${GSTAPP_INCLUDE_DIRS}
+	)
+	target_link_libraries(FAudio PRIVATE
+            ${GST_LDFLAGS}
+            ${GSTAUDIO_LDFLAGS}
+            ${GSTAPP_LDFLAGS}
+        )
+endif(GSTREAMER)
 
 # Dump source voices to RIFF WAVE files
 if(DUMP_VOICES)
@@ -198,6 +199,8 @@
 
 # utils/ Folder
 if(BUILD_UTILS)
+	enable_language(CXX)
+
 	# Shared ImGui Framework
 	add_library(uicommon STATIC
 		utils/uicommon/FAudioUI_main.cpp
@@ -208,11 +211,12 @@
 		utils/uicommon/imgui.cpp
 		utils/uicommon/imgui_demo.cpp
 		utils/uicommon/imgui_draw.cpp
+		utils/uicommon/imgui_widgets.cpp
 		utils/uicommon/imgui.h
 		utils/uicommon/imgui_internal.h
-		utils/uicommon/stb_rect_pack.h
-		utils/uicommon/stb_textedit.h
-		utils/uicommon/stb_truetype.h
+		utils/uicommon/imstb_rectpack.h
+		utils/uicommon/imstb_textedit.h
+		utils/uicommon/imstb_truetype.h
 	)
 	target_link_libraries(uicommon PUBLIC FAudio)
 
@@ -279,6 +283,8 @@
 
 # cpp/ Folder
 if(BUILD_CPP)
+	enable_language(CXX)
+
 	# XAPOBase, used by XAudio2 and XAPOFX
 	add_library(XAPOBase STATIC
 		cpp/XAPOBase.cpp
@@ -404,7 +410,3 @@
 	)
 	# Add Wine install script to install target
 	install(PROGRAMS cpp/scripts/wine_setup_native
-		DESTINATION ${FAudio_INSTALL_BINDIR}
-	)
-	# Install runtime dependencies
-	if(INSTALL_MINGW_DEPENDENCIES)
