=== debian/changelog ===
faudio (21.02-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 02 Feb 2021 20:20:36 +0100

faudio (21.01-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Jan 2021 14:54:17 +0100

faudio (20.12-1) unstable; urgency=medium

  * New upstream release.
  * Update the instructions for importing new versions.

 -- Stephen Kitt <skitt@debian.org>  Thu, 03 Dec 2020 15:09:37 +0100

faudio (20.11-1) unstable; urgency=medium

  * New upstream release, switching from ffmpeg to gstreamer.
  * Add myself to Uploaders.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Nov 2020 21:13:27 +0100
