=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Uploaders:
  Jens Reyer <jre.winesim@gmail.com>,
  Michael Gilbert <mgilbert@debian.org>,
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
+ Stephen Kitt <skitt@debian.org>,
+Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
 Vcs-Git: https://salsa.debian.org/wine-team/faudio.git
 Vcs-Browser: https://salsa.debian.org/wine-team/faudio
 Build-Depends:
  cmake,
  libstb-dev,
  libsdl2-dev,
- libavformat-dev,
- debhelper-compat (= 12),
-Standards-Version: 4.5.0
+ libgstreamer1.0-dev,
+ libgstreamer-plugins-base1.0-dev,
+ debhelper-compat (= 13),
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/FNA-XNA/FAudio
