=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/faudio-$1\.tar\.gz/ \
  https://github.com/FNA-XNA/FAudio/tags .*/v?(\d\S+)\.tar\.gz
