## faudio 22.02

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,10 @@
 project(FAudio C)
 
 # Options
-option(GSTREAMER "Enable GStreamer support (WMA, XMA)" OFF)
 option(BUILD_UTILS "Build utils/ folder" OFF)
 option(BUILD_TESTS "Build tests/ folder for unit tests to be executed on the host against FAudio" OFF)
 if(WIN32)
-option(BUILD_CPP "Build cpp/ folder (COM wrapper for XAudio2)" OFF)
+option(PLATFORM_WIN32 "Enable native Win32 platform instead of SDL2" OFF)
 endif()
 option(XNASONG "Build with XNA_Song.c" ON)
 option(LOG_ASSERTIONS "Bind FAudio_assert to log, instead of platform's assert" OFF)
@@ -29,7 +28,7 @@
 
 # Version
 SET(LIB_MAJOR_VERSION "0")
-SET(LIB_MINOR_VERSION "21")
+SET(LIB_MINOR_VERSION "22")
 SET(LIB_REVISION "02")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
@@ -98,10 +97,20 @@
 	src/FAudio_internal_simd.c
 	src/FAudio_operationset.c
 	src/FAudio_platform_sdl2.c
+	src/FAudio_platform_win32.c
 	# Optional source files
 	src/XNA_Song.c
-	src/FAudio_gstreamer.c
-)
+)
+
+if(PLATFORM_WIN32)
+	target_link_libraries(FAudio PRIVATE -ldxguid -luuid -lwinmm -lole32 -ladvapi32 -luser32 -lmfplat -lmfreadwrite -lmfuuid -lpropsys)
+	target_compile_definitions(FAudio PUBLIC FAUDIO_WIN32_PLATFORM)
+	target_compile_definitions(FAudio PRIVATE HAVE_WMADEC=1)
+	set(PLATFORM_CFLAGS "-DFAUDIO_WIN32_PLATFORM")
+	set(XNASONG OFF)
+else()
+	set(PLATFORM_CFLAGS)
+endif()
 
 # Only disable DebugConfiguration in release builds
 if(NOT FORCE_ENABLE_DEBUGCONFIGURATION)
@@ -135,37 +144,15 @@
 	target_compile_definitions(FAudio PRIVATE DISABLE_XNASONG)
 endif()
 
-# GStreamer Support
-if(GSTREAMER)
-	# Add the extra definition...
-	target_compile_definitions(FAudio PRIVATE HAVE_GSTREAMER=1)
-
-	# Find GStreamer
-	find_package(PkgConfig)
-	pkg_check_modules(GST REQUIRED gstreamer-1.0>=1.9.2)
-	pkg_check_modules(GSTAUDIO REQUIRED gstreamer-audio-1.0>=1.9.2)
-	pkg_check_modules(GSTAPP REQUIRED gstreamer-app-1.0>=1.9.2)
-
-	# Include/Link GStreamer...
-	target_include_directories(FAudio PRIVATE
-		${GST_INCLUDE_DIRS}
-		${GSTAUDIO_INCLUDE_DIRS}
-		${GSTAPP_INCLUDE_DIRS}
-	)
-	target_link_libraries(FAudio PRIVATE
-            ${GST_LDFLAGS}
-            ${GSTAUDIO_LDFLAGS}
-            ${GSTAPP_LDFLAGS}
-        )
-endif(GSTREAMER)
-
 # Dump source voices to RIFF WAVE files
 if(DUMP_VOICES)
 	target_compile_definitions(FAudio PRIVATE FAUDIO_DUMP_VOICES)
 endif()
 
 # SDL2 Dependency
-if (DEFINED SDL2_INCLUDE_DIRS AND DEFINED SDL2_LIBRARIES)
+if (PLATFORM_WIN32)
+	message(STATUS "not using SDL2")
+elseif (DEFINED SDL2_INCLUDE_DIRS AND DEFINED SDL2_LIBRARIES)
 	message(STATUS "using pre-defined SDL2 variables SDL2_INCLUDE_DIRS and SDL2_LIBRARIES")
 	target_include_directories(FAudio PUBLIC "$<BUILD_INTERFACE:${SDL2_INCLUDE_DIRS}>")
 	target_link_libraries(FAudio PUBLIC ${SDL2_LIBRARIES})
@@ -204,7 +191,6 @@
 	# Shared ImGui Framework
 	add_library(uicommon STATIC
 		utils/uicommon/FAudioUI_main.cpp
-		utils/uicommon/FAudioUI_ui.cpp
 		utils/uicommon/glfuncs.h
 		utils/uicommon/glmacros.h
 		utils/uicommon/imconfig.h
@@ -281,132 +267,56 @@
 	set(FAudio_INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR})
 endif()
 
-# cpp/ Folder
-if(BUILD_CPP)
-	enable_language(CXX)
-
-	# XAPOBase, used by XAudio2 and XAPOFX
-	add_library(XAPOBase STATIC
-		cpp/XAPOBase.cpp
-	)
-	target_compile_definitions(XAPOBase PRIVATE
-		FAUDIOCPP_EXPORTS
-		_WIN32_WINNT=0x0600
-	)
-	target_link_libraries(XAPOBase PRIVATE FAudio)
-	if(MINGW)
-		target_link_libraries(XAPOBase PRIVATE
-			"-Wl,--enable-stdcall-fixup"
-		)
-		# Enable various compiler warnings
-		target_link_libraries(XAPOBase PRIVATE
-			-Wall -pedantic
-			-Wsign-compare
-			-Wshadow
-		)
-	endif()
-
-	# We're about to make a whole bunch of DLLs...
-	set(FAudio_CPP_libs "")
-
-	# XAudio2 2.0-2.7
-	foreach(lib_version RANGE 0 7)
-		set(faudio_cpp_target "xaudio2_${lib_version}")
-		add_library(${faudio_cpp_target} SHARED
-			cpp/com_utils.cpp
-			cpp/xaudio2.cpp
-			cpp/XAudio2fx.cpp
-			cpp/win_registry.cpp
-		)
-		target_compile_definitions(${faudio_cpp_target} PRIVATE
-			"XAUDIO2_VERSION=${lib_version}"
-		)
-		target_link_libraries(${faudio_cpp_target} PRIVATE XAPOBase)
-		list(APPEND FAudio_CPP_libs ${faudio_cpp_target})
-	endforeach()
-
-	# XAudio2 2.8-2.9
-	foreach(lib_version RANGE 8 9)
-		set(faudio_cpp_target "xaudio2_${lib_version}")
-		add_library(${faudio_cpp_target} SHARED
-			cpp/com_utils.cpp
-			cpp/xaudio2.cpp
-			cpp/XAudio2fx.cpp
-			cpp/win_device.cpp
-			cpp/X3DAudio.cpp
-			cpp/XAPOFX.cpp
-		)
-		target_compile_definitions(${faudio_cpp_target} PRIVATE
-			"XAUDIO2_VERSION=${lib_version}"
-			UNICODE
-		)
-		target_link_libraries(${faudio_cpp_target} PRIVATE XAPOBase setupapi)
-		list(APPEND FAudio_CPP_libs ${faudio_cpp_target})
-	endforeach()
-
-	# X3DAudio 1.3-1.7
-	foreach(lib_version RANGE 3 7)
-		set(faudio_cpp_target "x3daudio1_${lib_version}")
-		add_library(${faudio_cpp_target} SHARED cpp/X3DAudio.cpp)
-		list(APPEND FAudio_CPP_libs ${faudio_cpp_target})
-	endforeach()
-
-	# XAPOFX 1.1-1.5
-	foreach(lib_version RANGE 1 5)
-		set(faudio_cpp_target "xapofx1_${lib_version}")
-		add_library(${faudio_cpp_target} SHARED
-			cpp/com_utils_xapofx.cpp
-			cpp/XAPOFX.cpp
-		)
-		target_link_libraries(${faudio_cpp_target} PRIVATE XAPOBase)
-		list(APPEND FAudio_CPP_libs ${faudio_cpp_target})
-	endforeach()
-
-	# XACTEngine3 3.0-3.7
-	foreach(lib_version RANGE 0 7)
-		set(faudio_cpp_target "xactengine3_${lib_version}")
-		add_library(${faudio_cpp_target} SHARED
-			cpp/com_utils_xact.cpp
-			cpp/xact3.cpp
-			cpp/win_registry.cpp
-		)
-		target_compile_definitions(${faudio_cpp_target} PRIVATE
-			"XACT3_VERSION=${lib_version}"
-		)
-		list(APPEND FAudio_CPP_libs ${faudio_cpp_target})
-	endforeach()
-
-	# Common Libraries/Definitions
-	foreach(faudio_cpp_target ${FAudio_CPP_libs})
-		target_link_libraries(${faudio_cpp_target} PRIVATE
-			ole32
-			FAudio
-		)
-		target_compile_definitions(${faudio_cpp_target} PRIVATE
-			FAUDIOCPP_EXPORTS
-			_WIN32_WINNT=0x0600
-		)
-
-		# MinGW builds should statically link libgcc/libstdc++
-		if(MINGW)
-			target_link_libraries(${faudio_cpp_target} PRIVATE
-				"-Wl,--enable-stdcall-fixup"
-				"-static-libgcc -static-libstdc++"
-			)
-			# Enable various compiler warnings
-			target_link_libraries(${faudio_cpp_target} PRIVATE
-				-Wall -pedantic
-				-Wsign-compare
-				-Wshadow
-			)
-		endif()
-	endforeach()
-
-	# Add libraries to install target
-	install(TARGETS ${FAudio_CPP_libs}
-		RUNTIME DESTINATION ${FAudio_INSTALL_BINDIR}
-		LIBRARY DESTINATION ${FAudio_INSTALL_LIBDIR}
-		ARCHIVE DESTINATION ${FAudio_INSTALL_LIBDIR}
-	)
-	# Add Wine install script to install target
-	install(PROGRAMS cpp/scripts/wine_setup_native
+# tests/ Folder
+if(BUILD_TESTS)
+	add_executable(faudio_tests tests/xaudio2.c)
+	target_link_libraries(faudio_tests PRIVATE FAudio)
+endif()
+
+# Installation
+
+# Public Headers...
+install(
+	DIRECTORY include/
+	DESTINATION ${FAudio_INSTALL_INCLUDEDIR}
+)
+# Libraries...
+install(
+	TARGETS ${PROJECT_NAME}
+	EXPORT ${PROJECT_NAME}-targets
+	INCLUDES DESTINATION ${FAudio_INSTALL_INCLUDEDIR}
+	RUNTIME DESTINATION ${FAudio_INSTALL_BINDIR}
+	LIBRARY DESTINATION ${FAudio_INSTALL_LIBDIR}
+	ARCHIVE DESTINATION ${FAudio_INSTALL_LIBDIR}
+)
+
+# Generate a pkgconfig file
+include(cmake/JoinPaths.cmake)
+join_paths(FAUDIO_PKGCONF_LIBDIR "\${prefix}" "${CMAKE_INSTALL_LIBDIR}")
+join_paths(FAUDIO_PKGCONF_INCLUDEDIR "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
+configure_file(
+	"${PROJECT_SOURCE_DIR}/cmake/${PROJECT_NAME}.pc.in"
+	${PROJECT_BINARY_DIR}/generated/${PROJECT_NAME}.pc
+	@ONLY
+)
+install(
+	FILES ${CMAKE_CURRENT_BINARY_DIR}/generated/${PROJECT_NAME}.pc
+	DESTINATION ${FAudio_INSTALL_LIBDIR}/pkgconfig
+)
+
+# Generate cmake-config file, install CMake files
+include(CMakePackageConfigHelpers)
+configure_package_config_file(
+	cmake/config.cmake.in
+	${CMAKE_CURRENT_BINARY_DIR}/generated/${PROJECT_NAME}Config.cmake
+	INSTALL_DESTINATION ${FAudio_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
+)
+install(
+	FILES ${CMAKE_CURRENT_BINARY_DIR}/generated/${PROJECT_NAME}Config.cmake
+	DESTINATION ${FAudio_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
+)
+install(
+	EXPORT ${PROJECT_NAME}-targets
+	NAMESPACE ${PROJECT_NAME}::
+	DESTINATION ${FAudio_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
+)
