=== debian/changelog ===
faudio (22.02-1) unstable; urgency=medium

  * New upstream release, dropping gstreamer support.

 -- Stephen Kitt <skitt@debian.org>  Tue, 01 Feb 2022 17:39:01 +0100

faudio (22.01-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Jan 2022 18:00:30 +0100

faudio (21.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 Dec 2021 09:46:38 +0100

faudio (21.11-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 01 Nov 2021 17:28:33 +0100

faudio (21.10-1) unstable; urgency=medium

  * New upstream release.
  * Recommend gstreamer1.0-libav. Closes: #986440.

 -- Stephen Kitt <skitt@debian.org>  Tue, 26 Oct 2021 21:04:30 +0200

faudio (21.09-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Sep 2021 17:35:39 +0200

faudio (21.07-1) experimental; urgency=medium

  [ Jens Reyer ]
  * Remove myself from Uploaders.

  [ Stephen Kitt ]
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Jul 2021 20:00:43 +0200
