=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Uploaders:
- Jens Reyer <jre.winesim@gmail.com>,
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
 Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
@@ -12,10 +11,8 @@
  cmake,
  libstb-dev,
  libsdl2-dev,
- libgstreamer1.0-dev,
- libgstreamer-plugins-base1.0-dev,
  debhelper-compat (= 13),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/FNA-XNA/FAudio
