## faudio 22.08

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # Version
 SET(LIB_MAJOR_VERSION "0")
 SET(LIB_MINOR_VERSION "22")
-SET(LIB_REVISION "02")
+SET(LIB_REVISION "08")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
 # Build Type
@@ -191,8 +191,6 @@
 	# Shared ImGui Framework
 	add_library(uicommon STATIC
 		utils/uicommon/FAudioUI_main.cpp
-		utils/uicommon/glfuncs.h
-		utils/uicommon/glmacros.h
 		utils/uicommon/imconfig.h
 		utils/uicommon/imgui.cpp
 		utils/uicommon/imgui_demo.cpp
