=== debian/changelog ===
faudio (22.08-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 10 Aug 2022 21:22:44 +0200

faudio (22.07-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 01 Jul 2022 18:44:55 +0200

faudio (22.06-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 18 Jun 2022 13:42:54 +0200

faudio (22.05-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 May 2022 23:08:01 +0200

faudio (22.04-1) unstable; urgency=medium

  * New upstream release.
  * Document Debian patches that aren’t relevant for upstream.
  * Install cmake files in the -dev package.

 -- Stephen Kitt <skitt@debian.org>  Sun, 03 Apr 2022 19:23:23 +0200

faudio (22.03-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Mar 2022 15:21:05 +0100
