=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libstb-dev,
  libsdl2-dev,
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/FNA-XNA/FAudio
