## faudio 22.09.01+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # Version
 SET(LIB_MAJOR_VERSION "0")
 SET(LIB_MINOR_VERSION "22")
-SET(LIB_REVISION "08")
+SET(LIB_REVISION "09")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
 # Build Type
