=== debian/changelog ===
faudio (22.09.01+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 04 Sep 2022 18:33:47 +0200

faudio (22.09+dfsg-1) unstable; urgency=medium

  * Add a +dfsg suffix to signal the fact that we repack the source
    code.
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 Sep 2022 17:37:24 +0200
