=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends:
  cmake,
  libstb-dev,
- libsdl2-dev,
+ libsdl2-dev (>= 2.24.0~),
  debhelper-compat (= 13),
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
