## faudio 23.02+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,8 @@
 
 # Version
 SET(LIB_MAJOR_VERSION "0")
-SET(LIB_MINOR_VERSION "22")
-SET(LIB_REVISION "09")
+SET(LIB_MINOR_VERSION "23")
+SET(LIB_REVISION "02")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
 # Build Type
