=== debian/changelog ===
faudio (23.02+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Feb 2023 21:25:22 +0100

faudio (23.01+dfsg-1) unstable; urgency=medium

  * Update file exclusions.
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Jan 2023 21:31:52 +0100
