=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libstb-dev,
  libsdl2-dev (>= 2.24.0~),
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/FNA-XNA/FAudio
