=== debian/changelog ===
faudio (23.07+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Jul 2023 17:43:00 +0200

faudio (23.06+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Jun 2023 20:15:20 +0200
