## faudio 24.02%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,8 @@
 
 # Version
 SET(LIB_MAJOR_VERSION "0")
-SET(LIB_MINOR_VERSION "23")
-SET(LIB_REVISION "07")
+SET(LIB_MINOR_VERSION "24")
+SET(LIB_REVISION "02")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
 # Build Type
