## faudio 24.02+dfsg

=== debian/changelog ===
faudio (24.02+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:13:43 +0000

faudio (24.02+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libstb0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 00:54:39 +0000

faudio (24.02+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Adjust excluded files for changes in 24.01 and 24.02.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Feb 2024 16:09:59 +0100

faudio (23.11+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Nov 2023 16:04:15 +0100

faudio (23.08+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Aug 2023 17:04:24 +0200
