=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
-Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Wine Team <debian-wine@lists.debian.org>
 Vcs-Git: https://salsa.debian.org/wine-team/faudio.git
 Vcs-Browser: https://salsa.debian.org/wine-team/faudio
 Build-Depends:
